//+------------------------------------------------------------------+
//|                                          test_time_execution.mq5 |
//|                                           Copyright 2014, denkir |
//|                           https://login.mql5.com/ru/users/denkir |
//+------------------------------------------------------------------+
#property copyright "Copyright 2014, denkir"
#property link      "https://login.mql5.com/ru/users/denkir"
#property version   "1.00"
//---
#include <Math\Alglib\alglib.mqh>
//+------------------------------------------------------------------+
//| Script program start function                                    |
//+------------------------------------------------------------------+
void OnStart()
  {
//---     
   const double SampleA[]=
     {
      110,125,94,109,140,172,125,125,172,110,109,125,218,110,594,
      94,94,125,141,125,485,110,125,109,110,204,94,719,109,125,94,93,94,1125,94,125,125,
      109,125,344,125,109,172,437,203,125,94,125
     };
//---     B
   const double SampleB[]=
     {
      219,94,94,94,94,140,94,94,140,438,390,94,94,94,93,94,94,79,94,94,94,109,94,93,94,313,94,578,94,
      140,78,93,156,94,78,78,109,78,78,62,125,156,78,94,94,156,93,94,94
     };
//---
   double bothTails, // p-   
   leftTail,         // p-   
   rightTail;        // p-   

//---  -
   CAlglib::MannWhitneyUTest(SampleA,ArraySize(SampleA),SampleB,ArraySize(SampleB),
                             bothTails,leftTail,rightTail);
//--- 
   PrintFormat("p-   : %0.4f",bothTails);
   PrintFormat("p-   : %0.4f",leftTail);
   PrintFormat("p-   : %0.4f",rightTail);
  }
//+------------------------------------------------------------------+
